apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: platform-infisical-dmz
  namespace: argocd
spec:
  project: platform
  sources:
    - repoURL: https://dl.cloudsmith.io/public/infisical/helm-charts/helm/charts/
      chart: infisical-standalone
      targetRevision: 1.9.0
      helm:
        releaseName: infisical
        valueFiles:
          - $values/platform/infisical-dmz/values.yaml
    - repoURL: https://github.com/GitMasterOne/platform-gitops.git
      targetRevision: main
      ref: values
  destination:
    server: https://192.168.20.40:6443
    namespace: platform-infisical
  syncPolicy:
    automated:
      prune: false
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
